Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.webservice.siebeleai
Class EAIWebRequest

    java.lang.Object
      com.stc.connector.appconn.webservice.siebeleai.EAIWebRequest

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class EAIWebRequest

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

Version:
  $Revision: 1.8 $
See Also:
  `PersistableData`

Constructor Summary
`EAIWebRequest()`

Method Summary
`HTTPWebHeaderList` | `getHeaders()`
`boolean` | `getLogin()`
`boolean` | `getLogoff()`
`java.lang.String` | `getSource()`
`java.lang.String` | `getXmlData()`
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists (serializes) this structure.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restore (deserialize) this message.
`void` | `setHeaders(HTTPWebHeaderList headers)`
`void` | `setLogin(boolean bolLogin)`
`void` | `setLogoff(boolean bolLogoff)`
`void` | `setSource(java.lang.String source)`
`void` | `setXmlData(java.lang.String xmlData)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EAIWebRequest

    public EAIWebRequest()

Method Detail

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getXmlData

    public java.lang.String getXmlData()

### setXmlData

    public void setXmlData(java.lang.String xmlData)

### getLogin

    public boolean getLogin()

### setLogin

    public void setLogin(boolean bolLogin)

### getLogoff

    public boolean getLogoff()

### setLogoff

    public void setLogoff(boolean bolLogoff)

### setHeaders

    public void setHeaders(HTTPWebHeaderList headers)

### getHeaders

    public HTTPWebHeaderList getHeaders()

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists (serializes) this structure.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutputStream to which the Java Bean instance is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `din` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.